Package org.springframework.security.authorization.method

# Interface AuthorizationAdvisor

All Superinterfaces:
  `org.aopalliance.aop.Advice`, `org.springframework.aop.Advisor`, `org.springframework.aop.framework.AopInfrastructureBean`, `org.aopalliance.intercept.Interceptor`, `org.aopalliance.intercept.MethodInterceptor`, `org.springframework.core.Ordered`, `org.springframework.aop.PointcutAdvisor`

All Known Implementing Classes:
  `AuthorizationManagerAfterMethodInterceptor`, `AuthorizationManagerAfterReactiveMethodInterceptor`, `AuthorizationManagerBeforeMethodInterceptor`, `AuthorizationManagerBeforeReactiveMethodInterceptor`, `AuthorizeReturnObjectMethodInterceptor`, `PostFilterAuthorizationMethodInterceptor`, `PostFilterAuthorizationReactiveMethodInterceptor`, `PreFilterAuthorizationMethodInterceptor`, `PreFilterAuthorizationReactiveMethodInterceptor`

public interface AuthorizationAdvisor extends org.springframework.core.Ordered, org.aopalliance.intercept.MethodInterceptor, org.springframework.aop.PointcutAdvisor, org.springframework.aop.framework.AopInfrastructureBean
An interface that indicates method security advice

Since:
  6.3
See Also:
  - `AuthorizationManagerBeforeMethodInterceptor`
  - `AuthorizationManagerAfterMethodInterceptor`
  - `PreFilterAuthorizationMethodInterceptor`
  - `PostFilterAuthorizationMethodInterceptor`

## Field Summary

### Fields inherited from interface org.springframework.aop.Advisor

`EMPTY_ADVICE`

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Method Summary

### Methods inherited from interface org.springframework.aop.Advisor

`getAdvice, isPerInstance`

### Methods inherited from interface org.aopalliance.intercept.MethodInterceptor

`invoke`

### Methods inherited from interface org.springframework.core.Ordered

`getOrder`

### Methods inherited from interface org.springframework.aop.PointcutAdvisor

`getPointcut`